# SU aka Spectrum Usage

## Usage

### Environment variables

There are environment variables available to define configuration
parameters during start:

```
  SU_DUMP_FILE_PATH=/home/user/su/dump_file.iq
```

## Requirements

### Software

* Linux
* Python 2.7
* GNU Radio
* SciPy
* PyQt5

### Hardware

* Two CPU cores, more are even better
* 100 GB of disc space
* HackRF One, rad1o or RTL-SDR DVB-T stick

## Tests

There are several integration tests available.

To run the tests you have to ensure, that the package is installed or
egg-infos are present in the project directory to have the right paths for
includes:
```
  pip install -e .
```

After all paths are clear you are able to run "pytest":http//pytest.org
```
  py.test
```

## Licence

Copyright (c) 2015, Daniel Meißner <daniel.meissner@smail.inf.h-brs.de>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
