# -*- coding: utf-8 -*-

from PyQt5 import QtCore, QtGui, QtWidgets, uic


class NoiseFloorPlot(QtWidgets.QMainWindow):

    def __init__(self, plot_path):
        super(NoiseFloorPlot, self).__init__()
        uic.loadUi("lib/gui/su_nf_plot.ui", self)

        self.plot_path = plot_path

        self.setWindowTitle("Noise floor detection plot - %s" % self.plot_path)
        self.button_close.clicked.connect(self.close_button)

        self.pixmap = QtGui.QPixmap(self.plot_path)
        self.label_image_plot.setPixmap(self.pixmap)
        self.label_image_plot.show()

    def close_button(self):
        """
        Close button action
        """
        self.close()
