#!/usr/bin/env python2.7
# -*- encoding: utf-8 -*-

from setuptools import setup
from lib.version import __version__

setup(name="Spectrum Usage",
      version=__version__,
      description="RF application to measure spectrum usage in specific frequencies.",
      author="Daniel Meißner",
      author_email="daniel.meissner@smail.inf.h-brs.de",
      url="https://git.fslab.de/dmeiss2s/su",
      license="GNU General Public License v3 (GPLv3)",
      platform=["linux2"],
      test_suite="tests",
      classifiers=["Operating System :: POSIX",
                   "Programming Language :: Python :: 2.7"])
