# -*- coding: utf-8 -*-

from PyQt5 import QtCore, QtGui, QtWidgets, uic
from lib.disk import Disk


class Results(QtWidgets.QMainWindow):

    def __init__(self, path):
        super(Results, self).__init__()
        uic.loadUi("lib/gui/su_results.ui", self)

        self.path = path
        self.setWindowTitle("Measurements in %s" % self.path)

        self.tableView_results.setDisabled(True)


        self.button_close.clicked.connect(self.close_button)

        # holds full path
        self.su_directories = Disk.get_su_created_folders(path)
        self.create_table_view()

    def close_button(self):
        """
        Close button action
        """
        self.close()

    def create_table_view(self):
        pass
